Bug 10835 - routing problems when taking up happens!
routing problems when taking up happens!
Product: Red Hat Linux
Classification: Retired
Component: piranha (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
Depends On:
  Show dependency treegraph
Reported: 2000-04-15 11:44 EDT by ALY KAMAL
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-18 11:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-04-15 11:44:06 EDT
I test piranha in a private network following the
piranha howto step by step.
Everything goes very well until it comes to taking up!
primary node eth0 eth1 default gw
backup  node eth0 eth1 default gw
when I use piranha to stop lvs on primary node,
the result of "ifconfig" on primary node is only "lo" left,
that 's not a problem.
The backup node takes up the configurations,
so it's ip address of eth0 changes from to
it comes to the important part :

there is no default gateway in routing table!
I must rerun "route add default gw" to make it
able to get outward .(I just don't have so much valid ip address,
so I test it in my private network . If the two nodes have valid ip
addresses, still the default gateway must be reconfigured, else it
could only be seen in the local network.)
And the reconfiguration of default gw is not done by pulse automaticly,
so the taking up of the backup node doesn't solve all the problems.

Thank you for your patience.
Maybe it's my problem.
If so , sorry for bothering you !

Tao Hua <huatao@263.net>
Comment 1 Red Hat Bugzilla 2000-04-17 15:22:59 EDT
>     The state changes to:
>     primary node
>             only "lo" left when "ifconfig" run.
>             (but it doesn't matter, I guess that's the way it goes.)

The real IP address of the node should have been kept intact. Piranha
does not touch it. Perhaps you are mapping things to eth0 instead
of eth0:1?

It is also possible you are getting hit with a know bug in the kernel,
where removing a VIP from an ethernet device causes all IP
addresses for that device to vanish. This only happens with
odd subnet masks.

>     backup node
>             eth0 ,eth1
>             (that's the same as former primary node.)
>             no default gateway configured
>             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>             (it matters a lot, I can olny visit LVS from inside of
>             my local network(
>             I can't visit LVS from outside of my local network.)

Piranha does not configure a default gateway, you should
already have had that defined. The only addresses piranha
"plays" with are those defined in the virtual server or
failover service sections of the config file. Again, if you did have
it defined and it vanished, it is possible you are encountering
a known kernel bug. If so, try using a different subnet mask and
see if you get different behavior.

We would need to see a copy of your lvs config file,
and a "ifconfig" output of both systems before and
after failover to understand what you are seeing.
Comment 2 Red Hat Bugzilla 2000-04-18 11:19:59 EDT
[Posted from customer's email to me]

Thank you very much.
I've solved the problem!
Mapping the Virtual Server to eth0:1 and the NAT Router to eth1:1
is really really very important,that leaves the real IP address of
the node intact, so the taking up won't change the default gateway.
I didn't think that is important, I thought I've mastered it, so I
didn't do as HOWTO tells me step by step.
Sorry for bothering you with MY mistakes.

[BTW -- it was no bother]

Note You need to log in before you can comment on or make changes to this bug.